r19369 - gnucash/trunk/packaging/win32 - Bug #118391: This patch add isocodes support for Windows build.

Christian Stimming cstim at code.gnucash.org
Wed Jul 14 16:22:18 EDT 2010


Author: cstim
Date: 2010-07-14 16:22:18 -0400 (Wed, 14 Jul 2010)
New Revision: 19369
Trac: http://svn.gnucash.org/trac/changeset/19369

Modified:
   gnucash/trunk/packaging/win32/defaults.sh
   gnucash/trunk/packaging/win32/dist-impl.sh
   gnucash/trunk/packaging/win32/dist.sh
   gnucash/trunk/packaging/win32/install-impl.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Bug #118391: This patch add isocodes support for Windows build.

It automatically download,
build, install and packaging the isocodes.

Currently, the patch will not make Windows build show the locale long
currencies name. But it make the isocode available on Windows. Since the long
currencies names are already shown on Linux, I think it should not far to make
it happen on Windows too, especially the isocode will be available after this
patch.

Modified: gnucash/trunk/packaging/win32/defaults.sh
===================================================================
--- gnucash/trunk/packaging/win32/defaults.sh	2010-07-14 20:22:06 UTC (rev 19368)
+++ gnucash/trunk/packaging/win32/defaults.sh	2010-07-14 20:22:18 UTC (rev 19369)
@@ -372,6 +372,9 @@
 set_default DOCS_DIR $GLOBAL_DIR\\gnucash-docs
 set_default XSLTPROCFLAGS ""
 
+set_default ISOCODES_URL "ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes/iso-codes-3.18.tar.bz2"
+set_default ISOCODES_DIR $GLOBAL_DIR\\isocodes
+
 ### Local Variables: ***
 ### sh-basic-offset: 4 ***
 ### indent-tabs-mode: nil ***

Modified: gnucash/trunk/packaging/win32/dist-impl.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist-impl.sh	2010-07-14 20:22:06 UTC (rev 19368)
+++ gnucash/trunk/packaging/win32/dist-impl.sh	2010-07-14 20:22:18 UTC (rev 19369)
@@ -44,6 +44,7 @@
     _INSTALL_UDIR=`unix_path $INSTALL_DIR`
     _INNO_UDIR=`unix_path $INNO_DIR`
     _WEBKIT_UDIR=`unix_path $WEBKIT_DIR`
+	_ISOCODES_UDIR=`unix_path $ISOCODES_DIR`
     add_to_env $_UNZIP_UDIR/bin PATH # unzip
     add_to_env $_GNOME_UDIR/bin PATH # gconftool-2
     add_to_env $_EXETYPE_UDIR/bin PATH # exetype
@@ -128,6 +129,12 @@
     rm -rf $DIST_UDIR/lib/locale
 }
 
+function dist_isocodes() {
+    setup isocodes
+    mkdir -p $DIST_UDIR/share
+    cp -a $_ISOCODES_UDIR/share/{locale,xml} $DIST_UDIR/share
+}
+
 function dist_pcre() {
     setup pcre
     mkdir -p $DIST_UDIR/bin

Modified: gnucash/trunk/packaging/win32/dist.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist.sh	2010-07-14 20:22:06 UTC (rev 19368)
+++ gnucash/trunk/packaging/win32/dist.sh	2010-07-14 20:22:18 UTC (rev 19369)
@@ -20,6 +20,7 @@
 add_step dist_autotools
 add_step dist_guile
 add_step dist_gnome
+add_step dist_isocodes
 add_step dist_pcre
 add_step dist_libbonoboui
 add_step dist_libgsf

Modified: gnucash/trunk/packaging/win32/install-impl.sh
===================================================================
--- gnucash/trunk/packaging/win32/install-impl.sh	2010-07-14 20:22:06 UTC (rev 19368)
+++ gnucash/trunk/packaging/win32/install-impl.sh	2010-07-14 20:22:18 UTC (rev 19369)
@@ -648,6 +648,27 @@
     [ ! -d $_GNOME_UDIR/share/aclocal ] || add_to_env "-I $_GNOME_UDIR/share/aclocal" ACLOCAL_FLAGS
 }
 
+function inst_isocodes() {
+    setup isocodes
+    _ISOCODES_UDIR=`unix_path ${ISOCODES_DIR}`
+    add_to_env $_ISOCODES_UDIR/share/pkgconfig PKG_CONFIG_PATH
+    if [ -f ${_ISOCODES_UDIR}/share/pkgconfig/iso-codes.pc ]
+    then
+        echo "isocodes already installed. skipping."
+    else
+        wget_unpacked $ISOCODES_URL $DOWNLOAD_DIR $TMP_DIR
+        assert_one_dir $TMP_UDIR/iso-codes-*
+        qpushd $TMP_UDIR/iso-codes-*
+            ./configure ${HOST_XCOMPILE} \
+                --prefix=${_ISOCODES_UDIR}
+            make
+            make install
+        qpopd
+        quiet [ -f ${_ISOCODES_UDIR}/share/pkgconfig/iso-codes.pc ] || die "isocodes not installed correctly"
+        rm -rf ${TMP_UDIR}/iso-codes-*
+    fi
+}
+
 function inst_swig() {
     setup Swig
     _SWIG_UDIR=`unix_path $SWIG_DIR`

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2010-07-14 20:22:06 UTC (rev 19368)
+++ gnucash/trunk/packaging/win32/install.sh	2010-07-14 20:22:18 UTC (rev 19369)
@@ -87,6 +87,7 @@
 if [ "$AQBANKING3" = "yes" ]; then
  add_step inst_gnutls
 fi
+add_step inst_isocodes
 add_step inst_swig
 add_step inst_pcre
 add_step inst_libbonoboui



More information about the gnucash-changes mailing list